Subject: bug#13524: [PATCH 0/2] Improving user experience for non-recursive builds

From: Stefano Lattarini <[email-masked]>
Date: Thu, 14 Feb 2013 11:26:39 +0100

On 02/08/2013 01:31 PM, Stefano Lattarini wrote:
> On 02/08/2013 10:11 AM, Peter Rosin wrote:
>> On 2013-02-08 09:45, Peter Rosin wrote:
>>> Stefano Lattarini wrote:
>>>> Fine as well.  And of curse, if you want to speed thing up and have more
>>>> control on the final result, feel free to shepherd the pending patches to
>>>> the agreed form ;-) -- which if I'm not mistaken is:
>>>>
>>>>   - make the series consist of only two patches, one introducing the
>>>>     feature (complete with documentation and NEWS additions, plus your
>>>>     original test case), and one follow-up patch implementing my
>>>>     testsuite enhancement;
>>>>
>>>>   - use the '%...%' form, and prefer lower-case for long names (so,
>>>>     '%reldir%' a.k.a. '%D%' and '%canon-reldir%' a.k.a. '%C%').
>>>
>>> Done. I didn't address the canonicalization concern raised by Miles. That
>>> seems like a bigger issue than this patch series. However, If that naming
>>> is changing, it must be done before this series lands in a released
>>> version, or we'll end up with bad comptibility hacks...
>>
>> Errm, compatibility...
>>
>> Forgot to ask, but should I push out this non-fast-forward to the
>> experimental/preproc branch?
>>
> Yes please.  I will rewind it again once I have, as you suggest, fixed
> my "demo test" not to needlessly fiddle with '/dev/full'.
>
OK, done.  If there are no further objections, I will soon proceed to
re-write the experimental/preproc branch once again with the latest
version of these patches; then we can think when and how to merge it
into 'master' or 'next' (the merge will be delayed until the discussion
about the new branching/versioning scheme for automake has been sorted
out; see <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13578>).

Thanks,
  Stefano

-*-*-*-

Peter Rosin (1):
  preproc: add support for relative names in included fragments

Stefano Lattarini (1):
  preproc: enhance and extend tests

 NEWS                   |  12 +++
 automake.in            |  26 ++++--
 doc/automake.texi      |  20 +++++
 t/list-of-tests.mk     |   4 +
 t/preproc-basics.sh    | 106 +++++++++++++++++++++++
 t/preproc-c-compile.sh | 118 +++++++++++++++++++++++++
 t/preproc-demo.sh      | 230 +++++++++++++++++++++++++++++++++++++++++++++++++
 t/preproc-errmsg.sh    |  75 ++++++++++++++++
 8 files changed, 585 insertions(+), 6 deletions(-)
 create mode 100755 t/preproc-basics.sh
 create mode 100755 t/preproc-c-compile.sh
 create mode 100755 t/preproc-demo.sh
 create mode 100755 t/preproc-errmsg.sh

-- 
1.8.1.1.662.gaa39828